###################################################
### chunk number 1: loadlibrary
###################################################
#line 97 "d:/Rcompile/CRANpkg/local/2.12/emulator/inst/doc/emulex.Rnw"
library("emulator")


###################################################
### chunk number 2: datagen_design_matrix
###################################################
#line 102 "d:/Rcompile/CRANpkg/local/2.12/emulator/inst/doc/emulex.Rnw"
n <- 30
val.vig <- latin.hypercube(n,2)


###################################################
### chunk number 3: headval
###################################################
#line 117 "d:/Rcompile/CRANpkg/local/2.12/emulator/inst/doc/emulex.Rnw"
head(val.vig)
nrow(val.vig)


###################################################
### chunk number 4: basisvig
###################################################
#line 133 "d:/Rcompile/CRANpkg/local/2.12/emulator/inst/doc/emulex.Rnw"
basis.vig <- 
function (x) 
{
        out <- c(1, x , x[1]*x[2])
        names(out) <- c("const", LETTERS[1:2], "interaction")
        return(out)
}


###################################################
### chunk number 5: datagen
###################################################
#line 152 "d:/Rcompile/CRANpkg/local/2.12/emulator/inst/doc/emulex.Rnw"
REAL.BETA <- 1:4
REAL.SCALES <- c(3,6)
REAL.SIGMASQUARED <- 0.3

A <- corr.matrix(xold=val.vig,scales=REAL.SCALES)

z.vig  <- 
as.vector(rmvnorm(n=1,mean=crossprod(REAL.BETA,apply(val.vig,1,basis.vig)),sigma=A*REAL.SIGMASQUARED))


###################################################
### chunk number 6: headzvig
###################################################
#line 168 "d:/Rcompile/CRANpkg/local/2.12/emulator/inst/doc/emulex.Rnw"
head(z.vig)
summary(z.vig)


###################################################
### chunk number 7: optScales
###################################################
#line 182 "d:/Rcompile/CRANpkg/local/2.12/emulator/inst/doc/emulex.Rnw"
os <- optimal.scales(val=val.vig, scales.start=c(10,10), d=z.vig, func=basis.vig)
os


###################################################
### chunk number 8: printOptScales
###################################################
#line 191 "d:/Rcompile/CRANpkg/local/2.12/emulator/inst/doc/emulex.Rnw"
A.os <- corr.matrix(xold=val.vig,scales=REAL.SCALES)
Ainv.os <- solve(A)


###################################################
### chunk number 9: usebeta
###################################################
#line 198 "d:/Rcompile/CRANpkg/local/2.12/emulator/inst/doc/emulex.Rnw"
betahat.fun(xold=val.vig, d=z.vig, Ainv=solve(A),func=basis.vig)


###################################################
### chunk number 10: useinterpolant
###################################################
#line 205 "d:/Rcompile/CRANpkg/local/2.12/emulator/inst/doc/emulex.Rnw"
interpolant(x=c(0.5,0.5), d=z.vig, Ainv=Ainv.os, scales=os,
xold=val.vig, func=basis.vig, give.full.list=TRUE)


###################################################
### chunk number 11: SetTheBib
###################################################
#line 213 "d:/Rcompile/CRANpkg/local/2.12/emulator/inst/doc/emulex.Rnw"
bib <- system.file( "doc", "uncertainty.bib", package = "emulator" )
bib <- sub('.bib$','',bib)


###################################################
### chunk number 12: usethebib
###################################################
#line 218 "d:/Rcompile/CRANpkg/local/2.12/emulator/inst/doc/emulex.Rnw"
cat( "\\bibliography{",bib,"}\n",sep='')


###################################################
### chunk number 13: displaybutdonotevaldatagen eval=FALSE
###################################################
## #line 229 "d:/Rcompile/CRANpkg/local/2.12/emulator/inst/doc/emulex.Rnw"
## #line 152 "d:/Rcompile/CRANpkg/local/2.12/emulator/inst/doc/emulex.Rnw#from line#229#"
## REAL.BETA <- 1:4
## REAL.SCALES <- c(3,6)
## REAL.SIGMASQUARED <- 0.3
## 
## A <- corr.matrix(xold=val.vig,scales=REAL.SCALES)
## 
## z.vig  <- 
## as.vector(rmvnorm(n=1,mean=crossprod(REAL.BETA,apply(val.vig,1,basis.vig)),sigma=A*REAL.SIGMASQUARED))
## #line 230 "d:/Rcompile/CRANpkg/local/2.12/emulator/inst/doc/emulex.Rnw"


